#!/usr/bin/env bash

echo "Deleting old dist files..."
rm *.rhp
rm *.pdb
rm Photogrammetry
rm *.yak

echo "Cleaning the Release folder..."
cd ..
rm -rf bin/Release

echo "Build in Release..."
dotnet build -c Release

echo "Copy from Release to dist..."
cp bin/Release/net48/ObjectCaptureFromPhotos.rhp dist/ObjectCaptureFromPhotos.rhp
cp bin/Release/net48/ObjectCaptureFromPhotos.pdb dist/ObjectCaptureFromPhotos.pdb
cp Photogrammetry/Executable/Photogrammetry dist/Photogrammetry

echo "Running yak build... (requires login)"
cd dist
"/Applications/RhinoWIP.app/Contents/Resources/bin/yak" build

echo ""
echo "WARNING: Rename the objectcapturefromphotos-M.m.p-beta-rh7_24-any.yak to be -rh8_0-mac.yak"